summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlon Bar-Lev <alonbl@gentoo.org>2018-09-23 22:14:49 +0300
committerAlon Bar-Lev <alonbl@gentoo.org>2018-09-28 02:51:43 +0300
commitd0aa0101fb82ee42d9a9844662463588bc74b2b3 (patch)
tree26f35bae09e38d543db3a11316d8c305bbb38123 /dev-libs
parentdev-libs/pakchois: eapi bump (diff)
downloadgentoo-d0aa0101fb82ee42d9a9844662463588bc74b2b3.tar.gz
gentoo-d0aa0101fb82ee42d9a9844662463588bc74b2b3.tar.bz2
gentoo-d0aa0101fb82ee42d9a9844662463588bc74b2b3.zip
dev-libs/pkcs11-helper: eapi bump
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/pkcs11-helper/pkcs11-helper-1.25.1.ebuild10
1 files changed, 4 insertions, 6 deletions
diff --git a/dev-libs/pkcs11-helper/pkcs11-helper-1.25.1.ebuild b/dev-libs/pkcs11-helper/pkcs11-helper-1.25.1.ebuild
index 9020a02da00..0be43f28eb8 100644
--- a/dev-libs/pkcs11-helper/pkcs11-helper-1.25.1.ebuild
+++ b/dev-libs/pkcs11-helper/pkcs11-helper-1.25.1.ebuild
@@ -1,9 +1,7 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="6"
-
-inherit ltprune
+EAPI=7
DESCRIPTION="PKCS#11 helper library"
HOMEPAGE="https://github.com/OpenSC/pkcs11-helper"
@@ -19,8 +17,8 @@ RDEPEND="
libressl? ( dev-libs/libressl )
gnutls? ( >=net-libs/gnutls-1.4.4 )
nss? ( dev-libs/nss )"
-DEPEND="${RDEPEND}
- virtual/pkgconfig
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
doc? ( >=app-doc/doxygen-1.4.7 )"
PATCHES=(
@@ -39,5 +37,5 @@ src_configure() {
src_install() {
default
- prune_libtool_files
+ find "${D}" -name '*.la' -delete || die
}